
This version of the Micro Emacs text editor is mutation of the standard PD
version ported to the Amiga by George Jones that came from Fish Disk #6.

The program has been modified to compile with the Aztec C. The unmodified
Manx executable code is about 22K smaller than the Lattice version. Another 3K
has been snipped out by program modification.


RANDOM MODIFICATIONS
--------------------

CTRL-T twiddles the 2 charactors to the left of the cursor instead of the 
charactor under the cursor and the charactor to the left of the cursor.

Lower case letters in a search pattern match both upper and lower case letters
in the file. Upper case letters in the pattern match only upper case letters 
in the file text. That is:

	"open" will match "open" and "OPEN", etc.
	"Open" will match "Open" and "OPEN", etc but not "open".

The reason this is useful is that it lets you search for defined names, like
"BUFSIZE", or ROM Kernel function calls, like "Write", without having to
check lower case names that are spelled the same, like the C function call
"write".

I finally got the damn mode line to display in inverse video. This was
remarkably difficult to do on the Amiga (compared to the PC) and, the fix
is a kludge.

EMACS now supports an 80 column display.

Tiny EMACS opens its window using the SIMPLE_REFRESH flag, instead of the
SMART_REFRESH flag. This reduces the program's run time memory requirements by
about 34K. If you use the window depth arranging gadget to look at the CLI 
window, you will have to use the CTRL-L command to redraw the EMACS text when
you return to the EMACS window. This seems like a small price to pay. Be 
careful about issuing a CTRL-L before reactivating (clicking) the EMACS window.
CLI may think it's a form feed and clear the CLI window.

There are no initialization error messages, because I removed the printf()'s.
This reduced the size of the executable by 1500 bytes. If Tiny EMACS is unable
to initialize something: it just exits.

The functions that make an entire region uppercase or lowercase are disabled.
So is the function that "sets the fill column". As far as I can tell, the fill 
column command didn't work in the original version. These functions are now 
just returns in case they get called accidently.

The function that executes a single CLI command (CTRL-X, !) has been disabled.
The Spawn CLI command (CTRL-C) is still enabled.

						Drew Lucy
